configure
changeset 5512 56ab281d7d3e
parent 5482 2c0477323626
child 5602 a712b965fbb6
     1.1 --- a/configure	Fri Mar 25 13:19:48 2011 -0700
     1.2 +++ b/configure	Fri Mar 25 13:47:49 2011 -0700
     1.3 @@ -16288,69 +16288,6 @@
     1.4  
     1.5  fi
     1.6  
     1.7 -    if test x$ac_cv_header_inttypes_h = xyes -o x$ac_cv_header_stdint_h = xyes; then
     1.8 -        { echo "$as_me:$LINENO: checking for int64_t" >&5
     1.9 -echo $ECHO_N "checking for int64_t... $ECHO_C" >&6; }
    1.10 -if test "${ac_cv_type_int64_t+set}" = set; then
    1.11 -  echo $ECHO_N "(cached) $ECHO_C" >&6
    1.12 -else
    1.13 -  cat >conftest.$ac_ext <<_ACEOF
    1.14 -/* confdefs.h.  */
    1.15 -_ACEOF
    1.16 -cat confdefs.h >>conftest.$ac_ext
    1.17 -cat >>conftest.$ac_ext <<_ACEOF
    1.18 -/* end confdefs.h.  */
    1.19 -$ac_includes_default
    1.20 -typedef int64_t ac__type_new_;
    1.21 -int
    1.22 -main ()
    1.23 -{
    1.24 -if ((ac__type_new_ *) 0)
    1.25 -  return 0;
    1.26 -if (sizeof (ac__type_new_))
    1.27 -  return 0;
    1.28 -  ;
    1.29 -  return 0;
    1.30 -}
    1.31 -_ACEOF
    1.32 -rm -f conftest.$ac_objext
    1.33 -if { (ac_try="$ac_compile"
    1.34 -case "(($ac_try" in
    1.35 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    1.36 -  *) ac_try_echo=$ac_try;;
    1.37 -esac
    1.38 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
    1.39 -  (eval "$ac_compile") 2>conftest.er1
    1.40 -  ac_status=$?
    1.41 -  grep -v '^ *+' conftest.er1 >conftest.err
    1.42 -  rm -f conftest.er1
    1.43 -  cat conftest.err >&5
    1.44 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1.45 -  (exit $ac_status); } && {
    1.46 -	 test -z "$ac_c_werror_flag" ||
    1.47 -	 test ! -s conftest.err
    1.48 -       } && test -s conftest.$ac_objext; then
    1.49 -  ac_cv_type_int64_t=yes
    1.50 -else
    1.51 -  echo "$as_me: failed program was:" >&5
    1.52 -sed 's/^/| /' conftest.$ac_ext >&5
    1.53 -
    1.54 -	ac_cv_type_int64_t=no
    1.55 -fi
    1.56 -
    1.57 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    1.58 -fi
    1.59 -{ echo "$as_me:$LINENO: result: $ac_cv_type_int64_t" >&5
    1.60 -echo "${ECHO_T}$ac_cv_type_int64_t" >&6; }
    1.61 -
    1.62 -        if test x$ac_cv_type_int64_t = xyes; then
    1.63 -            cat >>confdefs.h <<\_ACEOF
    1.64 -#define SDL_HAS_64BIT_TYPE 1
    1.65 -_ACEOF
    1.66 -
    1.67 -        fi
    1.68 -        have_inttypes=yes
    1.69 -    fi
    1.70  
    1.71            { echo "$as_me:$LINENO: checking for M_PI in math.h" >&5
    1.72  echo $ECHO_N "checking for M_PI in math.h... $ECHO_C" >&6; }
    1.73 @@ -18119,2122 +18056,6 @@
    1.74  _ACEOF
    1.75  
    1.76  
    1.77 -if test x$have_inttypes != xyes; then
    1.78 -    { echo "$as_me:$LINENO: checking for char" >&5
    1.79 -echo $ECHO_N "checking for char... $ECHO_C" >&6; }
    1.80 -if test "${ac_cv_type_char+set}" = set; then
    1.81 -  echo $ECHO_N "(cached) $ECHO_C" >&6
    1.82 -else
    1.83 -  cat >conftest.$ac_ext <<_ACEOF
    1.84 -/* confdefs.h.  */
    1.85 -_ACEOF
    1.86 -cat confdefs.h >>conftest.$ac_ext
    1.87 -cat >>conftest.$ac_ext <<_ACEOF
    1.88 -/* end confdefs.h.  */
    1.89 -$ac_includes_default
    1.90 -typedef char ac__type_new_;
    1.91 -int
    1.92 -main ()
    1.93 -{
    1.94 -if ((ac__type_new_ *) 0)
    1.95 -  return 0;
    1.96 -if (sizeof (ac__type_new_))
    1.97 -  return 0;
    1.98 -  ;
    1.99 -  return 0;
   1.100 -}
   1.101 -_ACEOF
   1.102 -rm -f conftest.$ac_objext
   1.103 -if { (ac_try="$ac_compile"
   1.104 -case "(($ac_try" in
   1.105 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.106 -  *) ac_try_echo=$ac_try;;
   1.107 -esac
   1.108 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.109 -  (eval "$ac_compile") 2>conftest.er1
   1.110 -  ac_status=$?
   1.111 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.112 -  rm -f conftest.er1
   1.113 -  cat conftest.err >&5
   1.114 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.115 -  (exit $ac_status); } && {
   1.116 -	 test -z "$ac_c_werror_flag" ||
   1.117 -	 test ! -s conftest.err
   1.118 -       } && test -s conftest.$ac_objext; then
   1.119 -  ac_cv_type_char=yes
   1.120 -else
   1.121 -  echo "$as_me: failed program was:" >&5
   1.122 -sed 's/^/| /' conftest.$ac_ext >&5
   1.123 -
   1.124 -	ac_cv_type_char=no
   1.125 -fi
   1.126 -
   1.127 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.128 -fi
   1.129 -{ echo "$as_me:$LINENO: result: $ac_cv_type_char" >&5
   1.130 -echo "${ECHO_T}$ac_cv_type_char" >&6; }
   1.131 -
   1.132 -# The cast to long int works around a bug in the HP C Compiler
   1.133 -# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
   1.134 -# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
   1.135 -# This bug is HP SR number 8606223364.
   1.136 -{ echo "$as_me:$LINENO: checking size of char" >&5
   1.137 -echo $ECHO_N "checking size of char... $ECHO_C" >&6; }
   1.138 -if test "${ac_cv_sizeof_char+set}" = set; then
   1.139 -  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.140 -else
   1.141 -  if test "$cross_compiling" = yes; then
   1.142 -  # Depending upon the size, compute the lo and hi bounds.
   1.143 -cat >conftest.$ac_ext <<_ACEOF
   1.144 -/* confdefs.h.  */
   1.145 -_ACEOF
   1.146 -cat confdefs.h >>conftest.$ac_ext
   1.147 -cat >>conftest.$ac_ext <<_ACEOF
   1.148 -/* end confdefs.h.  */
   1.149 -$ac_includes_default
   1.150 -   typedef char ac__type_sizeof_;
   1.151 -int
   1.152 -main ()
   1.153 -{
   1.154 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
   1.155 -test_array [0] = 0
   1.156 -
   1.157 -  ;
   1.158 -  return 0;
   1.159 -}
   1.160 -_ACEOF
   1.161 -rm -f conftest.$ac_objext
   1.162 -if { (ac_try="$ac_compile"
   1.163 -case "(($ac_try" in
   1.164 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.165 -  *) ac_try_echo=$ac_try;;
   1.166 -esac
   1.167 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.168 -  (eval "$ac_compile") 2>conftest.er1
   1.169 -  ac_status=$?
   1.170 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.171 -  rm -f conftest.er1
   1.172 -  cat conftest.err >&5
   1.173 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.174 -  (exit $ac_status); } && {
   1.175 -	 test -z "$ac_c_werror_flag" ||
   1.176 -	 test ! -s conftest.err
   1.177 -       } && test -s conftest.$ac_objext; then
   1.178 -  ac_lo=0 ac_mid=0
   1.179 -  while :; do
   1.180 -    cat >conftest.$ac_ext <<_ACEOF
   1.181 -/* confdefs.h.  */
   1.182 -_ACEOF
   1.183 -cat confdefs.h >>conftest.$ac_ext
   1.184 -cat >>conftest.$ac_ext <<_ACEOF
   1.185 -/* end confdefs.h.  */
   1.186 -$ac_includes_default
   1.187 -   typedef char ac__type_sizeof_;
   1.188 -int
   1.189 -main ()
   1.190 -{
   1.191 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
   1.192 -test_array [0] = 0
   1.193 -
   1.194 -  ;
   1.195 -  return 0;
   1.196 -}
   1.197 -_ACEOF
   1.198 -rm -f conftest.$ac_objext
   1.199 -if { (ac_try="$ac_compile"
   1.200 -case "(($ac_try" in
   1.201 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.202 -  *) ac_try_echo=$ac_try;;
   1.203 -esac
   1.204 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.205 -  (eval "$ac_compile") 2>conftest.er1
   1.206 -  ac_status=$?
   1.207 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.208 -  rm -f conftest.er1
   1.209 -  cat conftest.err >&5
   1.210 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.211 -  (exit $ac_status); } && {
   1.212 -	 test -z "$ac_c_werror_flag" ||
   1.213 -	 test ! -s conftest.err
   1.214 -       } && test -s conftest.$ac_objext; then
   1.215 -  ac_hi=$ac_mid; break
   1.216 -else
   1.217 -  echo "$as_me: failed program was:" >&5
   1.218 -sed 's/^/| /' conftest.$ac_ext >&5
   1.219 -
   1.220 -	ac_lo=`expr $ac_mid + 1`
   1.221 -			if test $ac_lo -le $ac_mid; then
   1.222 -			  ac_lo= ac_hi=
   1.223 -			  break
   1.224 -			fi
   1.225 -			ac_mid=`expr 2 '*' $ac_mid + 1`
   1.226 -fi
   1.227 -
   1.228 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.229 -  done
   1.230 -else
   1.231 -  echo "$as_me: failed program was:" >&5
   1.232 -sed 's/^/| /' conftest.$ac_ext >&5
   1.233 -
   1.234 -	cat >conftest.$ac_ext <<_ACEOF
   1.235 -/* confdefs.h.  */
   1.236 -_ACEOF
   1.237 -cat confdefs.h >>conftest.$ac_ext
   1.238 -cat >>conftest.$ac_ext <<_ACEOF
   1.239 -/* end confdefs.h.  */
   1.240 -$ac_includes_default
   1.241 -   typedef char ac__type_sizeof_;
   1.242 -int
   1.243 -main ()
   1.244 -{
   1.245 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
   1.246 -test_array [0] = 0
   1.247 -
   1.248 -  ;
   1.249 -  return 0;
   1.250 -}
   1.251 -_ACEOF
   1.252 -rm -f conftest.$ac_objext
   1.253 -if { (ac_try="$ac_compile"
   1.254 -case "(($ac_try" in
   1.255 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.256 -  *) ac_try_echo=$ac_try;;
   1.257 -esac
   1.258 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.259 -  (eval "$ac_compile") 2>conftest.er1
   1.260 -  ac_status=$?
   1.261 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.262 -  rm -f conftest.er1
   1.263 -  cat conftest.err >&5
   1.264 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.265 -  (exit $ac_status); } && {
   1.266 -	 test -z "$ac_c_werror_flag" ||
   1.267 -	 test ! -s conftest.err
   1.268 -       } && test -s conftest.$ac_objext; then
   1.269 -  ac_hi=-1 ac_mid=-1
   1.270 -  while :; do
   1.271 -    cat >conftest.$ac_ext <<_ACEOF
   1.272 -/* confdefs.h.  */
   1.273 -_ACEOF
   1.274 -cat confdefs.h >>conftest.$ac_ext
   1.275 -cat >>conftest.$ac_ext <<_ACEOF
   1.276 -/* end confdefs.h.  */
   1.277 -$ac_includes_default
   1.278 -   typedef char ac__type_sizeof_;
   1.279 -int
   1.280 -main ()
   1.281 -{
   1.282 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
   1.283 -test_array [0] = 0
   1.284 -
   1.285 -  ;
   1.286 -  return 0;
   1.287 -}
   1.288 -_ACEOF
   1.289 -rm -f conftest.$ac_objext
   1.290 -if { (ac_try="$ac_compile"
   1.291 -case "(($ac_try" in
   1.292 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.293 -  *) ac_try_echo=$ac_try;;
   1.294 -esac
   1.295 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.296 -  (eval "$ac_compile") 2>conftest.er1
   1.297 -  ac_status=$?
   1.298 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.299 -  rm -f conftest.er1
   1.300 -  cat conftest.err >&5
   1.301 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.302 -  (exit $ac_status); } && {
   1.303 -	 test -z "$ac_c_werror_flag" ||
   1.304 -	 test ! -s conftest.err
   1.305 -       } && test -s conftest.$ac_objext; then
   1.306 -  ac_lo=$ac_mid; break
   1.307 -else
   1.308 -  echo "$as_me: failed program was:" >&5
   1.309 -sed 's/^/| /' conftest.$ac_ext >&5
   1.310 -
   1.311 -	ac_hi=`expr '(' $ac_mid ')' - 1`
   1.312 -			if test $ac_mid -le $ac_hi; then
   1.313 -			  ac_lo= ac_hi=
   1.314 -			  break
   1.315 -			fi
   1.316 -			ac_mid=`expr 2 '*' $ac_mid`
   1.317 -fi
   1.318 -
   1.319 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.320 -  done
   1.321 -else
   1.322 -  echo "$as_me: failed program was:" >&5
   1.323 -sed 's/^/| /' conftest.$ac_ext >&5
   1.324 -
   1.325 -	ac_lo= ac_hi=
   1.326 -fi
   1.327 -
   1.328 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.329 -fi
   1.330 -
   1.331 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.332 -# Binary search between lo and hi bounds.
   1.333 -while test "x$ac_lo" != "x$ac_hi"; do
   1.334 -  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   1.335 -  cat >conftest.$ac_ext <<_ACEOF
   1.336 -/* confdefs.h.  */
   1.337 -_ACEOF
   1.338 -cat confdefs.h >>conftest.$ac_ext
   1.339 -cat >>conftest.$ac_ext <<_ACEOF
   1.340 -/* end confdefs.h.  */
   1.341 -$ac_includes_default
   1.342 -   typedef char ac__type_sizeof_;
   1.343 -int
   1.344 -main ()
   1.345 -{
   1.346 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
   1.347 -test_array [0] = 0
   1.348 -
   1.349 -  ;
   1.350 -  return 0;
   1.351 -}
   1.352 -_ACEOF
   1.353 -rm -f conftest.$ac_objext
   1.354 -if { (ac_try="$ac_compile"
   1.355 -case "(($ac_try" in
   1.356 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.357 -  *) ac_try_echo=$ac_try;;
   1.358 -esac
   1.359 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.360 -  (eval "$ac_compile") 2>conftest.er1
   1.361 -  ac_status=$?
   1.362 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.363 -  rm -f conftest.er1
   1.364 -  cat conftest.err >&5
   1.365 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.366 -  (exit $ac_status); } && {
   1.367 -	 test -z "$ac_c_werror_flag" ||
   1.368 -	 test ! -s conftest.err
   1.369 -       } && test -s conftest.$ac_objext; then
   1.370 -  ac_hi=$ac_mid
   1.371 -else
   1.372 -  echo "$as_me: failed program was:" >&5
   1.373 -sed 's/^/| /' conftest.$ac_ext >&5
   1.374 -
   1.375 -	ac_lo=`expr '(' $ac_mid ')' + 1`
   1.376 -fi
   1.377 -
   1.378 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.379 -done
   1.380 -case $ac_lo in
   1.381 -?*) ac_cv_sizeof_char=$ac_lo;;
   1.382 -'') if test "$ac_cv_type_char" = yes; then
   1.383 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (char)
   1.384 -See \`config.log' for more details." >&5
   1.385 -echo "$as_me: error: cannot compute sizeof (char)
   1.386 -See \`config.log' for more details." >&2;}
   1.387 -   { (exit 77); exit 77; }; }
   1.388 -   else
   1.389 -     ac_cv_sizeof_char=0
   1.390 -   fi ;;
   1.391 -esac
   1.392 -else
   1.393 -  cat >conftest.$ac_ext <<_ACEOF
   1.394 -/* confdefs.h.  */
   1.395 -_ACEOF
   1.396 -cat confdefs.h >>conftest.$ac_ext
   1.397 -cat >>conftest.$ac_ext <<_ACEOF
   1.398 -/* end confdefs.h.  */
   1.399 -$ac_includes_default
   1.400 -   typedef char ac__type_sizeof_;
   1.401 -static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
   1.402 -static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
   1.403 -#include <stdio.h>
   1.404 -#include <stdlib.h>
   1.405 -int
   1.406 -main ()
   1.407 -{
   1.408 -
   1.409 -  FILE *f = fopen ("conftest.val", "w");
   1.410 -  if (! f)
   1.411 -    return 1;
   1.412 -  if (((long int) (sizeof (ac__type_sizeof_))) < 0)
   1.413 -    {
   1.414 -      long int i = longval ();
   1.415 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
   1.416 -	return 1;
   1.417 -      fprintf (f, "%ld\n", i);
   1.418 -    }
   1.419 -  else
   1.420 -    {
   1.421 -      unsigned long int i = ulongval ();
   1.422 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
   1.423 -	return 1;
   1.424 -      fprintf (f, "%lu\n", i);
   1.425 -    }
   1.426 -  return ferror (f) || fclose (f) != 0;
   1.427 -
   1.428 -  ;
   1.429 -  return 0;
   1.430 -}
   1.431 -_ACEOF
   1.432 -rm -f conftest$ac_exeext
   1.433 -if { (ac_try="$ac_link"
   1.434 -case "(($ac_try" in
   1.435 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.436 -  *) ac_try_echo=$ac_try;;
   1.437 -esac
   1.438 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.439 -  (eval "$ac_link") 2>&5
   1.440 -  ac_status=$?
   1.441 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.442 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
   1.443 -  { (case "(($ac_try" in
   1.444 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.445 -  *) ac_try_echo=$ac_try;;
   1.446 -esac
   1.447 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.448 -  (eval "$ac_try") 2>&5
   1.449 -  ac_status=$?
   1.450 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.451 -  (exit $ac_status); }; }; then
   1.452 -  ac_cv_sizeof_char=`cat conftest.val`
   1.453 -else
   1.454 -  echo "$as_me: program exited with status $ac_status" >&5
   1.455 -echo "$as_me: failed program was:" >&5
   1.456 -sed 's/^/| /' conftest.$ac_ext >&5
   1.457 -
   1.458 -( exit $ac_status )
   1.459 -if test "$ac_cv_type_char" = yes; then
   1.460 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (char)
   1.461 -See \`config.log' for more details." >&5
   1.462 -echo "$as_me: error: cannot compute sizeof (char)
   1.463 -See \`config.log' for more details." >&2;}
   1.464 -   { (exit 77); exit 77; }; }
   1.465 -   else
   1.466 -     ac_cv_sizeof_char=0
   1.467 -   fi
   1.468 -fi
   1.469 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
   1.470 -fi
   1.471 -rm -f conftest.val
   1.472 -fi
   1.473 -{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
   1.474 -echo "${ECHO_T}$ac_cv_sizeof_char" >&6; }
   1.475 -
   1.476 -
   1.477 -
   1.478 -cat >>confdefs.h <<_ACEOF
   1.479 -#define SIZEOF_CHAR $ac_cv_sizeof_char
   1.480 -_ACEOF
   1.481 -
   1.482 -
   1.483 -    { echo "$as_me:$LINENO: checking for short" >&5
   1.484 -echo $ECHO_N "checking for short... $ECHO_C" >&6; }
   1.485 -if test "${ac_cv_type_short+set}" = set; then
   1.486 -  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.487 -else
   1.488 -  cat >conftest.$ac_ext <<_ACEOF
   1.489 -/* confdefs.h.  */
   1.490 -_ACEOF
   1.491 -cat confdefs.h >>conftest.$ac_ext
   1.492 -cat >>conftest.$ac_ext <<_ACEOF
   1.493 -/* end confdefs.h.  */
   1.494 -$ac_includes_default
   1.495 -typedef short ac__type_new_;
   1.496 -int
   1.497 -main ()
   1.498 -{
   1.499 -if ((ac__type_new_ *) 0)
   1.500 -  return 0;
   1.501 -if (sizeof (ac__type_new_))
   1.502 -  return 0;
   1.503 -  ;
   1.504 -  return 0;
   1.505 -}
   1.506 -_ACEOF
   1.507 -rm -f conftest.$ac_objext
   1.508 -if { (ac_try="$ac_compile"
   1.509 -case "(($ac_try" in
   1.510 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.511 -  *) ac_try_echo=$ac_try;;
   1.512 -esac
   1.513 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.514 -  (eval "$ac_compile") 2>conftest.er1
   1.515 -  ac_status=$?
   1.516 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.517 -  rm -f conftest.er1
   1.518 -  cat conftest.err >&5
   1.519 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.520 -  (exit $ac_status); } && {
   1.521 -	 test -z "$ac_c_werror_flag" ||
   1.522 -	 test ! -s conftest.err
   1.523 -       } && test -s conftest.$ac_objext; then
   1.524 -  ac_cv_type_short=yes
   1.525 -else
   1.526 -  echo "$as_me: failed program was:" >&5
   1.527 -sed 's/^/| /' conftest.$ac_ext >&5
   1.528 -
   1.529 -	ac_cv_type_short=no
   1.530 -fi
   1.531 -
   1.532 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.533 -fi
   1.534 -{ echo "$as_me:$LINENO: result: $ac_cv_type_short" >&5
   1.535 -echo "${ECHO_T}$ac_cv_type_short" >&6; }
   1.536 -
   1.537 -# The cast to long int works around a bug in the HP C Compiler
   1.538 -# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
   1.539 -# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
   1.540 -# This bug is HP SR number 8606223364.
   1.541 -{ echo "$as_me:$LINENO: checking size of short" >&5
   1.542 -echo $ECHO_N "checking size of short... $ECHO_C" >&6; }
   1.543 -if test "${ac_cv_sizeof_short+set}" = set; then
   1.544 -  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.545 -else
   1.546 -  if test "$cross_compiling" = yes; then
   1.547 -  # Depending upon the size, compute the lo and hi bounds.
   1.548 -cat >conftest.$ac_ext <<_ACEOF
   1.549 -/* confdefs.h.  */
   1.550 -_ACEOF
   1.551 -cat confdefs.h >>conftest.$ac_ext
   1.552 -cat >>conftest.$ac_ext <<_ACEOF
   1.553 -/* end confdefs.h.  */
   1.554 -$ac_includes_default
   1.555 -   typedef short ac__type_sizeof_;
   1.556 -int
   1.557 -main ()
   1.558 -{
   1.559 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
   1.560 -test_array [0] = 0
   1.561 -
   1.562 -  ;
   1.563 -  return 0;
   1.564 -}
   1.565 -_ACEOF
   1.566 -rm -f conftest.$ac_objext
   1.567 -if { (ac_try="$ac_compile"
   1.568 -case "(($ac_try" in
   1.569 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.570 -  *) ac_try_echo=$ac_try;;
   1.571 -esac
   1.572 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.573 -  (eval "$ac_compile") 2>conftest.er1
   1.574 -  ac_status=$?
   1.575 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.576 -  rm -f conftest.er1
   1.577 -  cat conftest.err >&5
   1.578 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.579 -  (exit $ac_status); } && {
   1.580 -	 test -z "$ac_c_werror_flag" ||
   1.581 -	 test ! -s conftest.err
   1.582 -       } && test -s conftest.$ac_objext; then
   1.583 -  ac_lo=0 ac_mid=0
   1.584 -  while :; do
   1.585 -    cat >conftest.$ac_ext <<_ACEOF
   1.586 -/* confdefs.h.  */
   1.587 -_ACEOF
   1.588 -cat confdefs.h >>conftest.$ac_ext
   1.589 -cat >>conftest.$ac_ext <<_ACEOF
   1.590 -/* end confdefs.h.  */
   1.591 -$ac_includes_default
   1.592 -   typedef short ac__type_sizeof_;
   1.593 -int
   1.594 -main ()
   1.595 -{
   1.596 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
   1.597 -test_array [0] = 0
   1.598 -
   1.599 -  ;
   1.600 -  return 0;
   1.601 -}
   1.602 -_ACEOF
   1.603 -rm -f conftest.$ac_objext
   1.604 -if { (ac_try="$ac_compile"
   1.605 -case "(($ac_try" in
   1.606 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.607 -  *) ac_try_echo=$ac_try;;
   1.608 -esac
   1.609 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.610 -  (eval "$ac_compile") 2>conftest.er1
   1.611 -  ac_status=$?
   1.612 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.613 -  rm -f conftest.er1
   1.614 -  cat conftest.err >&5
   1.615 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.616 -  (exit $ac_status); } && {
   1.617 -	 test -z "$ac_c_werror_flag" ||
   1.618 -	 test ! -s conftest.err
   1.619 -       } && test -s conftest.$ac_objext; then
   1.620 -  ac_hi=$ac_mid; break
   1.621 -else
   1.622 -  echo "$as_me: failed program was:" >&5
   1.623 -sed 's/^/| /' conftest.$ac_ext >&5
   1.624 -
   1.625 -	ac_lo=`expr $ac_mid + 1`
   1.626 -			if test $ac_lo -le $ac_mid; then
   1.627 -			  ac_lo= ac_hi=
   1.628 -			  break
   1.629 -			fi
   1.630 -			ac_mid=`expr 2 '*' $ac_mid + 1`
   1.631 -fi
   1.632 -
   1.633 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.634 -  done
   1.635 -else
   1.636 -  echo "$as_me: failed program was:" >&5
   1.637 -sed 's/^/| /' conftest.$ac_ext >&5
   1.638 -
   1.639 -	cat >conftest.$ac_ext <<_ACEOF
   1.640 -/* confdefs.h.  */
   1.641 -_ACEOF
   1.642 -cat confdefs.h >>conftest.$ac_ext
   1.643 -cat >>conftest.$ac_ext <<_ACEOF
   1.644 -/* end confdefs.h.  */
   1.645 -$ac_includes_default
   1.646 -   typedef short ac__type_sizeof_;
   1.647 -int
   1.648 -main ()
   1.649 -{
   1.650 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
   1.651 -test_array [0] = 0
   1.652 -
   1.653 -  ;
   1.654 -  return 0;
   1.655 -}
   1.656 -_ACEOF
   1.657 -rm -f conftest.$ac_objext
   1.658 -if { (ac_try="$ac_compile"
   1.659 -case "(($ac_try" in
   1.660 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.661 -  *) ac_try_echo=$ac_try;;
   1.662 -esac
   1.663 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.664 -  (eval "$ac_compile") 2>conftest.er1
   1.665 -  ac_status=$?
   1.666 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.667 -  rm -f conftest.er1
   1.668 -  cat conftest.err >&5
   1.669 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.670 -  (exit $ac_status); } && {
   1.671 -	 test -z "$ac_c_werror_flag" ||
   1.672 -	 test ! -s conftest.err
   1.673 -       } && test -s conftest.$ac_objext; then
   1.674 -  ac_hi=-1 ac_mid=-1
   1.675 -  while :; do
   1.676 -    cat >conftest.$ac_ext <<_ACEOF
   1.677 -/* confdefs.h.  */
   1.678 -_ACEOF
   1.679 -cat confdefs.h >>conftest.$ac_ext
   1.680 -cat >>conftest.$ac_ext <<_ACEOF
   1.681 -/* end confdefs.h.  */
   1.682 -$ac_includes_default
   1.683 -   typedef short ac__type_sizeof_;
   1.684 -int
   1.685 -main ()
   1.686 -{
   1.687 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
   1.688 -test_array [0] = 0
   1.689 -
   1.690 -  ;
   1.691 -  return 0;
   1.692 -}
   1.693 -_ACEOF
   1.694 -rm -f conftest.$ac_objext
   1.695 -if { (ac_try="$ac_compile"
   1.696 -case "(($ac_try" in
   1.697 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.698 -  *) ac_try_echo=$ac_try;;
   1.699 -esac
   1.700 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.701 -  (eval "$ac_compile") 2>conftest.er1
   1.702 -  ac_status=$?
   1.703 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.704 -  rm -f conftest.er1
   1.705 -  cat conftest.err >&5
   1.706 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.707 -  (exit $ac_status); } && {
   1.708 -	 test -z "$ac_c_werror_flag" ||
   1.709 -	 test ! -s conftest.err
   1.710 -       } && test -s conftest.$ac_objext; then
   1.711 -  ac_lo=$ac_mid; break
   1.712 -else
   1.713 -  echo "$as_me: failed program was:" >&5
   1.714 -sed 's/^/| /' conftest.$ac_ext >&5
   1.715 -
   1.716 -	ac_hi=`expr '(' $ac_mid ')' - 1`
   1.717 -			if test $ac_mid -le $ac_hi; then
   1.718 -			  ac_lo= ac_hi=
   1.719 -			  break
   1.720 -			fi
   1.721 -			ac_mid=`expr 2 '*' $ac_mid`
   1.722 -fi
   1.723 -
   1.724 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.725 -  done
   1.726 -else
   1.727 -  echo "$as_me: failed program was:" >&5
   1.728 -sed 's/^/| /' conftest.$ac_ext >&5
   1.729 -
   1.730 -	ac_lo= ac_hi=
   1.731 -fi
   1.732 -
   1.733 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.734 -fi
   1.735 -
   1.736 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.737 -# Binary search between lo and hi bounds.
   1.738 -while test "x$ac_lo" != "x$ac_hi"; do
   1.739 -  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   1.740 -  cat >conftest.$ac_ext <<_ACEOF
   1.741 -/* confdefs.h.  */
   1.742 -_ACEOF
   1.743 -cat confdefs.h >>conftest.$ac_ext
   1.744 -cat >>conftest.$ac_ext <<_ACEOF
   1.745 -/* end confdefs.h.  */
   1.746 -$ac_includes_default
   1.747 -   typedef short ac__type_sizeof_;
   1.748 -int
   1.749 -main ()
   1.750 -{
   1.751 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
   1.752 -test_array [0] = 0
   1.753 -
   1.754 -  ;
   1.755 -  return 0;
   1.756 -}
   1.757 -_ACEOF
   1.758 -rm -f conftest.$ac_objext
   1.759 -if { (ac_try="$ac_compile"
   1.760 -case "(($ac_try" in
   1.761 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.762 -  *) ac_try_echo=$ac_try;;
   1.763 -esac
   1.764 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.765 -  (eval "$ac_compile") 2>conftest.er1
   1.766 -  ac_status=$?
   1.767 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.768 -  rm -f conftest.er1
   1.769 -  cat conftest.err >&5
   1.770 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.771 -  (exit $ac_status); } && {
   1.772 -	 test -z "$ac_c_werror_flag" ||
   1.773 -	 test ! -s conftest.err
   1.774 -       } && test -s conftest.$ac_objext; then
   1.775 -  ac_hi=$ac_mid
   1.776 -else
   1.777 -  echo "$as_me: failed program was:" >&5
   1.778 -sed 's/^/| /' conftest.$ac_ext >&5
   1.779 -
   1.780 -	ac_lo=`expr '(' $ac_mid ')' + 1`
   1.781 -fi
   1.782 -
   1.783 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.784 -done
   1.785 -case $ac_lo in
   1.786 -?*) ac_cv_sizeof_short=$ac_lo;;
   1.787 -'') if test "$ac_cv_type_short" = yes; then
   1.788 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (short)
   1.789 -See \`config.log' for more details." >&5
   1.790 -echo "$as_me: error: cannot compute sizeof (short)
   1.791 -See \`config.log' for more details." >&2;}
   1.792 -   { (exit 77); exit 77; }; }
   1.793 -   else
   1.794 -     ac_cv_sizeof_short=0
   1.795 -   fi ;;
   1.796 -esac
   1.797 -else
   1.798 -  cat >conftest.$ac_ext <<_ACEOF
   1.799 -/* confdefs.h.  */
   1.800 -_ACEOF
   1.801 -cat confdefs.h >>conftest.$ac_ext
   1.802 -cat >>conftest.$ac_ext <<_ACEOF
   1.803 -/* end confdefs.h.  */
   1.804 -$ac_includes_default
   1.805 -   typedef short ac__type_sizeof_;
   1.806 -static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
   1.807 -static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
   1.808 -#include <stdio.h>
   1.809 -#include <stdlib.h>
   1.810 -int
   1.811 -main ()
   1.812 -{
   1.813 -
   1.814 -  FILE *f = fopen ("conftest.val", "w");
   1.815 -  if (! f)
   1.816 -    return 1;
   1.817 -  if (((long int) (sizeof (ac__type_sizeof_))) < 0)
   1.818 -    {
   1.819 -      long int i = longval ();
   1.820 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
   1.821 -	return 1;
   1.822 -      fprintf (f, "%ld\n", i);
   1.823 -    }
   1.824 -  else
   1.825 -    {
   1.826 -      unsigned long int i = ulongval ();
   1.827 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
   1.828 -	return 1;
   1.829 -      fprintf (f, "%lu\n", i);
   1.830 -    }
   1.831 -  return ferror (f) || fclose (f) != 0;
   1.832 -
   1.833 -  ;
   1.834 -  return 0;
   1.835 -}
   1.836 -_ACEOF
   1.837 -rm -f conftest$ac_exeext
   1.838 -if { (ac_try="$ac_link"
   1.839 -case "(($ac_try" in
   1.840 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.841 -  *) ac_try_echo=$ac_try;;
   1.842 -esac
   1.843 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.844 -  (eval "$ac_link") 2>&5
   1.845 -  ac_status=$?
   1.846 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.847 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
   1.848 -  { (case "(($ac_try" in
   1.849 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.850 -  *) ac_try_echo=$ac_try;;
   1.851 -esac
   1.852 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.853 -  (eval "$ac_try") 2>&5
   1.854 -  ac_status=$?
   1.855 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.856 -  (exit $ac_status); }; }; then
   1.857 -  ac_cv_sizeof_short=`cat conftest.val`
   1.858 -else
   1.859 -  echo "$as_me: program exited with status $ac_status" >&5
   1.860 -echo "$as_me: failed program was:" >&5
   1.861 -sed 's/^/| /' conftest.$ac_ext >&5
   1.862 -
   1.863 -( exit $ac_status )
   1.864 -if test "$ac_cv_type_short" = yes; then
   1.865 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (short)
   1.866 -See \`config.log' for more details." >&5
   1.867 -echo "$as_me: error: cannot compute sizeof (short)
   1.868 -See \`config.log' for more details." >&2;}
   1.869 -   { (exit 77); exit 77; }; }
   1.870 -   else
   1.871 -     ac_cv_sizeof_short=0
   1.872 -   fi
   1.873 -fi
   1.874 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
   1.875 -fi
   1.876 -rm -f conftest.val
   1.877 -fi
   1.878 -{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_short" >&5
   1.879 -echo "${ECHO_T}$ac_cv_sizeof_short" >&6; }
   1.880 -
   1.881 -
   1.882 -
   1.883 -cat >>confdefs.h <<_ACEOF
   1.884 -#define SIZEOF_SHORT $ac_cv_sizeof_short
   1.885 -_ACEOF
   1.886 -
   1.887 -
   1.888 -    { echo "$as_me:$LINENO: checking for int" >&5
   1.889 -echo $ECHO_N "checking for int... $ECHO_C" >&6; }
   1.890 -if test "${ac_cv_type_int+set}" = set; then
   1.891 -  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.892 -else
   1.893 -  cat >conftest.$ac_ext <<_ACEOF
   1.894 -/* confdefs.h.  */
   1.895 -_ACEOF
   1.896 -cat confdefs.h >>conftest.$ac_ext
   1.897 -cat >>conftest.$ac_ext <<_ACEOF
   1.898 -/* end confdefs.h.  */
   1.899 -$ac_includes_default
   1.900 -typedef int ac__type_new_;
   1.901 -int
   1.902 -main ()
   1.903 -{
   1.904 -if ((ac__type_new_ *) 0)
   1.905 -  return 0;
   1.906 -if (sizeof (ac__type_new_))
   1.907 -  return 0;
   1.908 -  ;
   1.909 -  return 0;
   1.910 -}
   1.911 -_ACEOF
   1.912 -rm -f conftest.$ac_objext
   1.913 -if { (ac_try="$ac_compile"
   1.914 -case "(($ac_try" in
   1.915 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.916 -  *) ac_try_echo=$ac_try;;
   1.917 -esac
   1.918 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.919 -  (eval "$ac_compile") 2>conftest.er1
   1.920 -  ac_status=$?
   1.921 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.922 -  rm -f conftest.er1
   1.923 -  cat conftest.err >&5
   1.924 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.925 -  (exit $ac_status); } && {
   1.926 -	 test -z "$ac_c_werror_flag" ||
   1.927 -	 test ! -s conftest.err
   1.928 -       } && test -s conftest.$ac_objext; then
   1.929 -  ac_cv_type_int=yes
   1.930 -else
   1.931 -  echo "$as_me: failed program was:" >&5
   1.932 -sed 's/^/| /' conftest.$ac_ext >&5
   1.933 -
   1.934 -	ac_cv_type_int=no
   1.935 -fi
   1.936 -
   1.937 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.938 -fi
   1.939 -{ echo "$as_me:$LINENO: result: $ac_cv_type_int" >&5
   1.940 -echo "${ECHO_T}$ac_cv_type_int" >&6; }
   1.941 -
   1.942 -# The cast to long int works around a bug in the HP C Compiler
   1.943 -# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
   1.944 -# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
   1.945 -# This bug is HP SR number 8606223364.
   1.946 -{ echo "$as_me:$LINENO: checking size of int" >&5
   1.947 -echo $ECHO_N "checking size of int... $ECHO_C" >&6; }
   1.948 -if test "${ac_cv_sizeof_int+set}" = set; then
   1.949 -  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.950 -else
   1.951 -  if test "$cross_compiling" = yes; then
   1.952 -  # Depending upon the size, compute the lo and hi bounds.
   1.953 -cat >conftest.$ac_ext <<_ACEOF
   1.954 -/* confdefs.h.  */
   1.955 -_ACEOF
   1.956 -cat confdefs.h >>conftest.$ac_ext
   1.957 -cat >>conftest.$ac_ext <<_ACEOF
   1.958 -/* end confdefs.h.  */
   1.959 -$ac_includes_default
   1.960 -   typedef int ac__type_sizeof_;
   1.961 -int
   1.962 -main ()
   1.963 -{
   1.964 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
   1.965 -test_array [0] = 0
   1.966 -
   1.967 -  ;
   1.968 -  return 0;
   1.969 -}
   1.970 -_ACEOF
   1.971 -rm -f conftest.$ac_objext
   1.972 -if { (ac_try="$ac_compile"
   1.973 -case "(($ac_try" in
   1.974 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.975 -  *) ac_try_echo=$ac_try;;
   1.976 -esac
   1.977 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.978 -  (eval "$ac_compile") 2>conftest.er1
   1.979 -  ac_status=$?
   1.980 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.981 -  rm -f conftest.er1
   1.982 -  cat conftest.err >&5
   1.983 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.984 -  (exit $ac_status); } && {
   1.985 -	 test -z "$ac_c_werror_flag" ||
   1.986 -	 test ! -s conftest.err
   1.987 -       } && test -s conftest.$ac_objext; then
   1.988 -  ac_lo=0 ac_mid=0
   1.989 -  while :; do
   1.990 -    cat >conftest.$ac_ext <<_ACEOF
   1.991 -/* confdefs.h.  */
   1.992 -_ACEOF
   1.993 -cat confdefs.h >>conftest.$ac_ext
   1.994 -cat >>conftest.$ac_ext <<_ACEOF
   1.995 -/* end confdefs.h.  */
   1.996 -$ac_includes_default
   1.997 -   typedef int ac__type_sizeof_;
   1.998 -int
   1.999 -main ()
  1.1000 -{
  1.1001 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
  1.1002 -test_array [0] = 0
  1.1003 -
  1.1004 -  ;
  1.1005 -  return 0;
  1.1006 -}
  1.1007 -_ACEOF
  1.1008 -rm -f conftest.$ac_objext
  1.1009 -if { (ac_try="$ac_compile"
  1.1010 -case "(($ac_try" in
  1.1011 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1012 -  *) ac_try_echo=$ac_try;;
  1.1013 -esac
  1.1014 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1015 -  (eval "$ac_compile") 2>conftest.er1
  1.1016 -  ac_status=$?
  1.1017 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1018 -  rm -f conftest.er1
  1.1019 -  cat conftest.err >&5
  1.1020 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1021 -  (exit $ac_status); } && {
  1.1022 -	 test -z "$ac_c_werror_flag" ||
  1.1023 -	 test ! -s conftest.err
  1.1024 -       } && test -s conftest.$ac_objext; then
  1.1025 -  ac_hi=$ac_mid; break
  1.1026 -else
  1.1027 -  echo "$as_me: failed program was:" >&5
  1.1028 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1029 -
  1.1030 -	ac_lo=`expr $ac_mid + 1`
  1.1031 -			if test $ac_lo -le $ac_mid; then
  1.1032 -			  ac_lo= ac_hi=
  1.1033 -			  break
  1.1034 -			fi
  1.1035 -			ac_mid=`expr 2 '*' $ac_mid + 1`
  1.1036 -fi
  1.1037 -
  1.1038 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1039 -  done
  1.1040 -else
  1.1041 -  echo "$as_me: failed program was:" >&5
  1.1042 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1043 -
  1.1044 -	cat >conftest.$ac_ext <<_ACEOF
  1.1045 -/* confdefs.h.  */
  1.1046 -_ACEOF
  1.1047 -cat confdefs.h >>conftest.$ac_ext
  1.1048 -cat >>conftest.$ac_ext <<_ACEOF
  1.1049 -/* end confdefs.h.  */
  1.1050 -$ac_includes_default
  1.1051 -   typedef int ac__type_sizeof_;
  1.1052 -int
  1.1053 -main ()
  1.1054 -{
  1.1055 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
  1.1056 -test_array [0] = 0
  1.1057 -
  1.1058 -  ;
  1.1059 -  return 0;
  1.1060 -}
  1.1061 -_ACEOF
  1.1062 -rm -f conftest.$ac_objext
  1.1063 -if { (ac_try="$ac_compile"
  1.1064 -case "(($ac_try" in
  1.1065 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1066 -  *) ac_try_echo=$ac_try;;
  1.1067 -esac
  1.1068 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1069 -  (eval "$ac_compile") 2>conftest.er1
  1.1070 -  ac_status=$?
  1.1071 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1072 -  rm -f conftest.er1
  1.1073 -  cat conftest.err >&5
  1.1074 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1075 -  (exit $ac_status); } && {
  1.1076 -	 test -z "$ac_c_werror_flag" ||
  1.1077 -	 test ! -s conftest.err
  1.1078 -       } && test -s conftest.$ac_objext; then
  1.1079 -  ac_hi=-1 ac_mid=-1
  1.1080 -  while :; do
  1.1081 -    cat >conftest.$ac_ext <<_ACEOF
  1.1082 -/* confdefs.h.  */
  1.1083 -_ACEOF
  1.1084 -cat confdefs.h >>conftest.$ac_ext
  1.1085 -cat >>conftest.$ac_ext <<_ACEOF
  1.1086 -/* end confdefs.h.  */
  1.1087 -$ac_includes_default
  1.1088 -   typedef int ac__type_sizeof_;
  1.1089 -int
  1.1090 -main ()
  1.1091 -{
  1.1092 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
  1.1093 -test_array [0] = 0
  1.1094 -
  1.1095 -  ;
  1.1096 -  return 0;
  1.1097 -}
  1.1098 -_ACEOF
  1.1099 -rm -f conftest.$ac_objext
  1.1100 -if { (ac_try="$ac_compile"
  1.1101 -case "(($ac_try" in
  1.1102 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1103 -  *) ac_try_echo=$ac_try;;
  1.1104 -esac
  1.1105 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1106 -  (eval "$ac_compile") 2>conftest.er1
  1.1107 -  ac_status=$?
  1.1108 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1109 -  rm -f conftest.er1
  1.1110 -  cat conftest.err >&5
  1.1111 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1112 -  (exit $ac_status); } && {
  1.1113 -	 test -z "$ac_c_werror_flag" ||
  1.1114 -	 test ! -s conftest.err
  1.1115 -       } && test -s conftest.$ac_objext; then
  1.1116 -  ac_lo=$ac_mid; break
  1.1117 -else
  1.1118 -  echo "$as_me: failed program was:" >&5
  1.1119 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1120 -
  1.1121 -	ac_hi=`expr '(' $ac_mid ')' - 1`
  1.1122 -			if test $ac_mid -le $ac_hi; then
  1.1123 -			  ac_lo= ac_hi=
  1.1124 -			  break
  1.1125 -			fi
  1.1126 -			ac_mid=`expr 2 '*' $ac_mid`
  1.1127 -fi
  1.1128 -
  1.1129 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1130 -  done
  1.1131 -else
  1.1132 -  echo "$as_me: failed program was:" >&5
  1.1133 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1134 -
  1.1135 -	ac_lo= ac_hi=
  1.1136 -fi
  1.1137 -
  1.1138 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1139 -fi
  1.1140 -
  1.1141 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1142 -# Binary search between lo and hi bounds.
  1.1143 -while test "x$ac_lo" != "x$ac_hi"; do
  1.1144 -  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
  1.1145 -  cat >conftest.$ac_ext <<_ACEOF
  1.1146 -/* confdefs.h.  */
  1.1147 -_ACEOF
  1.1148 -cat confdefs.h >>conftest.$ac_ext
  1.1149 -cat >>conftest.$ac_ext <<_ACEOF
  1.1150 -/* end confdefs.h.  */
  1.1151 -$ac_includes_default
  1.1152 -   typedef int ac__type_sizeof_;
  1.1153 -int
  1.1154 -main ()
  1.1155 -{
  1.1156 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
  1.1157 -test_array [0] = 0
  1.1158 -
  1.1159 -  ;
  1.1160 -  return 0;
  1.1161 -}
  1.1162 -_ACEOF
  1.1163 -rm -f conftest.$ac_objext
  1.1164 -if { (ac_try="$ac_compile"
  1.1165 -case "(($ac_try" in
  1.1166 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1167 -  *) ac_try_echo=$ac_try;;
  1.1168 -esac
  1.1169 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1170 -  (eval "$ac_compile") 2>conftest.er1
  1.1171 -  ac_status=$?
  1.1172 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1173 -  rm -f conftest.er1
  1.1174 -  cat conftest.err >&5
  1.1175 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1176 -  (exit $ac_status); } && {
  1.1177 -	 test -z "$ac_c_werror_flag" ||
  1.1178 -	 test ! -s conftest.err
  1.1179 -       } && test -s conftest.$ac_objext; then
  1.1180 -  ac_hi=$ac_mid
  1.1181 -else
  1.1182 -  echo "$as_me: failed program was:" >&5
  1.1183 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1184 -
  1.1185 -	ac_lo=`expr '(' $ac_mid ')' + 1`
  1.1186 -fi
  1.1187 -
  1.1188 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1189 -done
  1.1190 -case $ac_lo in
  1.1191 -?*) ac_cv_sizeof_int=$ac_lo;;
  1.1192 -'') if test "$ac_cv_type_int" = yes; then
  1.1193 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (int)
  1.1194 -See \`config.log' for more details." >&5
  1.1195 -echo "$as_me: error: cannot compute sizeof (int)
  1.1196 -See \`config.log' for more details." >&2;}
  1.1197 -   { (exit 77); exit 77; }; }
  1.1198 -   else
  1.1199 -     ac_cv_sizeof_int=0
  1.1200 -   fi ;;
  1.1201 -esac
  1.1202 -else
  1.1203 -  cat >conftest.$ac_ext <<_ACEOF
  1.1204 -/* confdefs.h.  */
  1.1205 -_ACEOF
  1.1206 -cat confdefs.h >>conftest.$ac_ext
  1.1207 -cat >>conftest.$ac_ext <<_ACEOF
  1.1208 -/* end confdefs.h.  */
  1.1209 -$ac_includes_default
  1.1210 -   typedef int ac__type_sizeof_;
  1.1211 -static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
  1.1212 -static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
  1.1213 -#include <stdio.h>
  1.1214 -#include <stdlib.h>
  1.1215 -int
  1.1216 -main ()
  1.1217 -{
  1.1218 -
  1.1219 -  FILE *f = fopen ("conftest.val", "w");
  1.1220 -  if (! f)
  1.1221 -    return 1;
  1.1222 -  if (((long int) (sizeof (ac__type_sizeof_))) < 0)
  1.1223 -    {
  1.1224 -      long int i = longval ();
  1.1225 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
  1.1226 -	return 1;
  1.1227 -      fprintf (f, "%ld\n", i);
  1.1228 -    }
  1.1229 -  else
  1.1230 -    {
  1.1231 -      unsigned long int i = ulongval ();
  1.1232 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
  1.1233 -	return 1;
  1.1234 -      fprintf (f, "%lu\n", i);
  1.1235 -    }
  1.1236 -  return ferror (f) || fclose (f) != 0;
  1.1237 -
  1.1238 -  ;
  1.1239 -  return 0;
  1.1240 -}
  1.1241 -_ACEOF
  1.1242 -rm -f conftest$ac_exeext
  1.1243 -if { (ac_try="$ac_link"
  1.1244 -case "(($ac_try" in
  1.1245 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1246 -  *) ac_try_echo=$ac_try;;
  1.1247 -esac
  1.1248 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1249 -  (eval "$ac_link") 2>&5
  1.1250 -  ac_status=$?
  1.1251 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1252 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  1.1253 -  { (case "(($ac_try" in
  1.1254 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1255 -  *) ac_try_echo=$ac_try;;
  1.1256 -esac
  1.1257 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1258 -  (eval "$ac_try") 2>&5
  1.1259 -  ac_status=$?
  1.1260 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1261 -  (exit $ac_status); }; }; then
  1.1262 -  ac_cv_sizeof_int=`cat conftest.val`
  1.1263 -else
  1.1264 -  echo "$as_me: program exited with status $ac_status" >&5
  1.1265 -echo "$as_me: failed program was:" >&5
  1.1266 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1267 -
  1.1268 -( exit $ac_status )
  1.1269 -if test "$ac_cv_type_int" = yes; then
  1.1270 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (int)
  1.1271 -See \`config.log' for more details." >&5
  1.1272 -echo "$as_me: error: cannot compute sizeof (int)
  1.1273 -See \`config.log' for more details." >&2;}
  1.1274 -   { (exit 77); exit 77; }; }
  1.1275 -   else
  1.1276 -     ac_cv_sizeof_int=0
  1.1277 -   fi
  1.1278 -fi
  1.1279 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  1.1280 -fi
  1.1281 -rm -f conftest.val
  1.1282 -fi
  1.1283 -{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
  1.1284 -echo "${ECHO_T}$ac_cv_sizeof_int" >&6; }
  1.1285 -
  1.1286 -
  1.1287 -
  1.1288 -cat >>confdefs.h <<_ACEOF
  1.1289 -#define SIZEOF_INT $ac_cv_sizeof_int
  1.1290 -_ACEOF
  1.1291 -
  1.1292 -
  1.1293 -    { echo "$as_me:$LINENO: checking for long" >&5
  1.1294 -echo $ECHO_N "checking for long... $ECHO_C" >&6; }
  1.1295 -if test "${ac_cv_type_long+set}" = set; then
  1.1296 -  echo $ECHO_N "(cached) $ECHO_C" >&6
  1.1297 -else
  1.1298 -  cat >conftest.$ac_ext <<_ACEOF
  1.1299 -/* confdefs.h.  */
  1.1300 -_ACEOF
  1.1301 -cat confdefs.h >>conftest.$ac_ext
  1.1302 -cat >>conftest.$ac_ext <<_ACEOF
  1.1303 -/* end confdefs.h.  */
  1.1304 -$ac_includes_default
  1.1305 -typedef long ac__type_new_;
  1.1306 -int
  1.1307 -main ()
  1.1308 -{
  1.1309 -if ((ac__type_new_ *) 0)
  1.1310 -  return 0;
  1.1311 -if (sizeof (ac__type_new_))
  1.1312 -  return 0;
  1.1313 -  ;
  1.1314 -  return 0;
  1.1315 -}
  1.1316 -_ACEOF
  1.1317 -rm -f conftest.$ac_objext
  1.1318 -if { (ac_try="$ac_compile"
  1.1319 -case "(($ac_try" in
  1.1320 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1321 -  *) ac_try_echo=$ac_try;;
  1.1322 -esac
  1.1323 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1324 -  (eval "$ac_compile") 2>conftest.er1
  1.1325 -  ac_status=$?
  1.1326 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1327 -  rm -f conftest.er1
  1.1328 -  cat conftest.err >&5
  1.1329 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1330 -  (exit $ac_status); } && {
  1.1331 -	 test -z "$ac_c_werror_flag" ||
  1.1332 -	 test ! -s conftest.err
  1.1333 -       } && test -s conftest.$ac_objext; then
  1.1334 -  ac_cv_type_long=yes
  1.1335 -else
  1.1336 -  echo "$as_me: failed program was:" >&5
  1.1337 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1338 -
  1.1339 -	ac_cv_type_long=no
  1.1340 -fi
  1.1341 -
  1.1342 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1343 -fi
  1.1344 -{ echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
  1.1345 -echo "${ECHO_T}$ac_cv_type_long" >&6; }
  1.1346 -
  1.1347 -# The cast to long int works around a bug in the HP C Compiler
  1.1348 -# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
  1.1349 -# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
  1.1350 -# This bug is HP SR number 8606223364.
  1.1351 -{ echo "$as_me:$LINENO: checking size of long" >&5
  1.1352 -echo $ECHO_N "checking size of long... $ECHO_C" >&6; }
  1.1353 -if test "${ac_cv_sizeof_long+set}" = set; then
  1.1354 -  echo $ECHO_N "(cached) $ECHO_C" >&6
  1.1355 -else
  1.1356 -  if test "$cross_compiling" = yes; then
  1.1357 -  # Depending upon the size, compute the lo and hi bounds.
  1.1358 -cat >conftest.$ac_ext <<_ACEOF
  1.1359 -/* confdefs.h.  */
  1.1360 -_ACEOF
  1.1361 -cat confdefs.h >>conftest.$ac_ext
  1.1362 -cat >>conftest.$ac_ext <<_ACEOF
  1.1363 -/* end confdefs.h.  */
  1.1364 -$ac_includes_default
  1.1365 -   typedef long ac__type_sizeof_;
  1.1366 -int
  1.1367 -main ()
  1.1368 -{
  1.1369 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
  1.1370 -test_array [0] = 0
  1.1371 -
  1.1372 -  ;
  1.1373 -  return 0;
  1.1374 -}
  1.1375 -_ACEOF
  1.1376 -rm -f conftest.$ac_objext
  1.1377 -if { (ac_try="$ac_compile"
  1.1378 -case "(($ac_try" in
  1.1379 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1380 -  *) ac_try_echo=$ac_try;;
  1.1381 -esac
  1.1382 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1383 -  (eval "$ac_compile") 2>conftest.er1
  1.1384 -  ac_status=$?
  1.1385 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1386 -  rm -f conftest.er1
  1.1387 -  cat conftest.err >&5
  1.1388 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1389 -  (exit $ac_status); } && {
  1.1390 -	 test -z "$ac_c_werror_flag" ||
  1.1391 -	 test ! -s conftest.err
  1.1392 -       } && test -s conftest.$ac_objext; then
  1.1393 -  ac_lo=0 ac_mid=0
  1.1394 -  while :; do
  1.1395 -    cat >conftest.$ac_ext <<_ACEOF
  1.1396 -/* confdefs.h.  */
  1.1397 -_ACEOF
  1.1398 -cat confdefs.h >>conftest.$ac_ext
  1.1399 -cat >>conftest.$ac_ext <<_ACEOF
  1.1400 -/* end confdefs.h.  */
  1.1401 -$ac_includes_default
  1.1402 -   typedef long ac__type_sizeof_;
  1.1403 -int
  1.1404 -main ()
  1.1405 -{
  1.1406 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
  1.1407 -test_array [0] = 0
  1.1408 -
  1.1409 -  ;
  1.1410 -  return 0;
  1.1411 -}
  1.1412 -_ACEOF
  1.1413 -rm -f conftest.$ac_objext
  1.1414 -if { (ac_try="$ac_compile"
  1.1415 -case "(($ac_try" in
  1.1416 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1417 -  *) ac_try_echo=$ac_try;;
  1.1418 -esac
  1.1419 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1420 -  (eval "$ac_compile") 2>conftest.er1
  1.1421 -  ac_status=$?
  1.1422 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1423 -  rm -f conftest.er1
  1.1424 -  cat conftest.err >&5
  1.1425 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1426 -  (exit $ac_status); } && {
  1.1427 -	 test -z "$ac_c_werror_flag" ||
  1.1428 -	 test ! -s conftest.err
  1.1429 -       } && test -s conftest.$ac_objext; then
  1.1430 -  ac_hi=$ac_mid; break
  1.1431 -else
  1.1432 -  echo "$as_me: failed program was:" >&5
  1.1433 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1434 -
  1.1435 -	ac_lo=`expr $ac_mid + 1`
  1.1436 -			if test $ac_lo -le $ac_mid; then
  1.1437 -			  ac_lo= ac_hi=
  1.1438 -			  break
  1.1439 -			fi
  1.1440 -			ac_mid=`expr 2 '*' $ac_mid + 1`
  1.1441 -fi
  1.1442 -
  1.1443 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1444 -  done
  1.1445 -else
  1.1446 -  echo "$as_me: failed program was:" >&5
  1.1447 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1448 -
  1.1449 -	cat >conftest.$ac_ext <<_ACEOF
  1.1450 -/* confdefs.h.  */
  1.1451 -_ACEOF
  1.1452 -cat confdefs.h >>conftest.$ac_ext
  1.1453 -cat >>conftest.$ac_ext <<_ACEOF
  1.1454 -/* end confdefs.h.  */
  1.1455 -$ac_includes_default
  1.1456 -   typedef long ac__type_sizeof_;
  1.1457 -int
  1.1458 -main ()
  1.1459 -{
  1.1460 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
  1.1461 -test_array [0] = 0
  1.1462 -
  1.1463 -  ;
  1.1464 -  return 0;
  1.1465 -}
  1.1466 -_ACEOF
  1.1467 -rm -f conftest.$ac_objext
  1.1468 -if { (ac_try="$ac_compile"
  1.1469 -case "(($ac_try" in
  1.1470 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1471 -  *) ac_try_echo=$ac_try;;
  1.1472 -esac
  1.1473 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1474 -  (eval "$ac_compile") 2>conftest.er1
  1.1475 -  ac_status=$?
  1.1476 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1477 -  rm -f conftest.er1
  1.1478 -  cat conftest.err >&5
  1.1479 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1480 -  (exit $ac_status); } && {
  1.1481 -	 test -z "$ac_c_werror_flag" ||
  1.1482 -	 test ! -s conftest.err
  1.1483 -       } && test -s conftest.$ac_objext; then
  1.1484 -  ac_hi=-1 ac_mid=-1
  1.1485 -  while :; do
  1.1486 -    cat >conftest.$ac_ext <<_ACEOF
  1.1487 -/* confdefs.h.  */
  1.1488 -_ACEOF
  1.1489 -cat confdefs.h >>conftest.$ac_ext
  1.1490 -cat >>conftest.$ac_ext <<_ACEOF
  1.1491 -/* end confdefs.h.  */
  1.1492 -$ac_includes_default
  1.1493 -   typedef long ac__type_sizeof_;
  1.1494 -int
  1.1495 -main ()
  1.1496 -{
  1.1497 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
  1.1498 -test_array [0] = 0
  1.1499 -
  1.1500 -  ;
  1.1501 -  return 0;
  1.1502 -}
  1.1503 -_ACEOF
  1.1504 -rm -f conftest.$ac_objext
  1.1505 -if { (ac_try="$ac_compile"
  1.1506 -case "(($ac_try" in
  1.1507 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1508 -  *) ac_try_echo=$ac_try;;
  1.1509 -esac
  1.1510 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1511 -  (eval "$ac_compile") 2>conftest.er1
  1.1512 -  ac_status=$?
  1.1513 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1514 -  rm -f conftest.er1
  1.1515 -  cat conftest.err >&5
  1.1516 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1517 -  (exit $ac_status); } && {
  1.1518 -	 test -z "$ac_c_werror_flag" ||
  1.1519 -	 test ! -s conftest.err
  1.1520 -       } && test -s conftest.$ac_objext; then
  1.1521 -  ac_lo=$ac_mid; break
  1.1522 -else
  1.1523 -  echo "$as_me: failed program was:" >&5
  1.1524 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1525 -
  1.1526 -	ac_hi=`expr '(' $ac_mid ')' - 1`
  1.1527 -			if test $ac_mid -le $ac_hi; then
  1.1528 -			  ac_lo= ac_hi=
  1.1529 -			  break
  1.1530 -			fi
  1.1531 -			ac_mid=`expr 2 '*' $ac_mid`
  1.1532 -fi
  1.1533 -
  1.1534 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1535 -  done
  1.1536 -else
  1.1537 -  echo "$as_me: failed program was:" >&5
  1.1538 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1539 -
  1.1540 -	ac_lo= ac_hi=
  1.1541 -fi
  1.1542 -
  1.1543 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1544 -fi
  1.1545 -
  1.1546 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1547 -# Binary search between lo and hi bounds.
  1.1548 -while test "x$ac_lo" != "x$ac_hi"; do
  1.1549 -  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
  1.1550 -  cat >conftest.$ac_ext <<_ACEOF
  1.1551 -/* confdefs.h.  */
  1.1552 -_ACEOF
  1.1553 -cat confdefs.h >>conftest.$ac_ext
  1.1554 -cat >>conftest.$ac_ext <<_ACEOF
  1.1555 -/* end confdefs.h.  */
  1.1556 -$ac_includes_default
  1.1557 -   typedef long ac__type_sizeof_;
  1.1558 -int
  1.1559 -main ()
  1.1560 -{
  1.1561 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
  1.1562 -test_array [0] = 0
  1.1563 -
  1.1564 -  ;
  1.1565 -  return 0;
  1.1566 -}
  1.1567 -_ACEOF
  1.1568 -rm -f conftest.$ac_objext
  1.1569 -if { (ac_try="$ac_compile"
  1.1570 -case "(($ac_try" in
  1.1571 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1572 -  *) ac_try_echo=$ac_try;;
  1.1573 -esac
  1.1574 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1575 -  (eval "$ac_compile") 2>conftest.er1
  1.1576 -  ac_status=$?
  1.1577 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1578 -  rm -f conftest.er1
  1.1579 -  cat conftest.err >&5
  1.1580 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1581 -  (exit $ac_status); } && {
  1.1582 -	 test -z "$ac_c_werror_flag" ||
  1.1583 -	 test ! -s conftest.err
  1.1584 -       } && test -s conftest.$ac_objext; then
  1.1585 -  ac_hi=$ac_mid
  1.1586 -else
  1.1587 -  echo "$as_me: failed program was:" >&5
  1.1588 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1589 -
  1.1590 -	ac_lo=`expr '(' $ac_mid ')' + 1`
  1.1591 -fi
  1.1592 -
  1.1593 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1594 -done
  1.1595 -case $ac_lo in
  1.1596 -?*) ac_cv_sizeof_long=$ac_lo;;
  1.1597 -'') if test "$ac_cv_type_long" = yes; then
  1.1598 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (long)
  1.1599 -See \`config.log' for more details." >&5
  1.1600 -echo "$as_me: error: cannot compute sizeof (long)
  1.1601 -See \`config.log' for more details." >&2;}
  1.1602 -   { (exit 77); exit 77; }; }
  1.1603 -   else
  1.1604 -     ac_cv_sizeof_long=0
  1.1605 -   fi ;;
  1.1606 -esac
  1.1607 -else
  1.1608 -  cat >conftest.$ac_ext <<_ACEOF
  1.1609 -/* confdefs.h.  */
  1.1610 -_ACEOF
  1.1611 -cat confdefs.h >>conftest.$ac_ext
  1.1612 -cat >>conftest.$ac_ext <<_ACEOF
  1.1613 -/* end confdefs.h.  */
  1.1614 -$ac_includes_default
  1.1615 -   typedef long ac__type_sizeof_;
  1.1616 -static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
  1.1617 -static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
  1.1618 -#include <stdio.h>
  1.1619 -#include <stdlib.h>
  1.1620 -int
  1.1621 -main ()
  1.1622 -{
  1.1623 -
  1.1624 -  FILE *f = fopen ("conftest.val", "w");
  1.1625 -  if (! f)
  1.1626 -    return 1;
  1.1627 -  if (((long int) (sizeof (ac__type_sizeof_))) < 0)
  1.1628 -    {
  1.1629 -      long int i = longval ();
  1.1630 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
  1.1631 -	return 1;
  1.1632 -      fprintf (f, "%ld\n", i);
  1.1633 -    }
  1.1634 -  else
  1.1635 -    {
  1.1636 -      unsigned long int i = ulongval ();
  1.1637 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
  1.1638 -	return 1;
  1.1639 -      fprintf (f, "%lu\n", i);
  1.1640 -    }
  1.1641 -  return ferror (f) || fclose (f) != 0;
  1.1642 -
  1.1643 -  ;
  1.1644 -  return 0;
  1.1645 -}
  1.1646 -_ACEOF
  1.1647 -rm -f conftest$ac_exeext
  1.1648 -if { (ac_try="$ac_link"
  1.1649 -case "(($ac_try" in
  1.1650 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1651 -  *) ac_try_echo=$ac_try;;
  1.1652 -esac
  1.1653 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1654 -  (eval "$ac_link") 2>&5
  1.1655 -  ac_status=$?
  1.1656 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1657 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  1.1658 -  { (case "(($ac_try" in
  1.1659 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1660 -  *) ac_try_echo=$ac_try;;
  1.1661 -esac
  1.1662 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1663 -  (eval "$ac_try") 2>&5
  1.1664 -  ac_status=$?
  1.1665 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1666 -  (exit $ac_status); }; }; then
  1.1667 -  ac_cv_sizeof_long=`cat conftest.val`
  1.1668 -else
  1.1669 -  echo "$as_me: program exited with status $ac_status" >&5
  1.1670 -echo "$as_me: failed program was:" >&5
  1.1671 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1672 -
  1.1673 -( exit $ac_status )
  1.1674 -if test "$ac_cv_type_long" = yes; then
  1.1675 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (long)
  1.1676 -See \`config.log' for more details." >&5
  1.1677 -echo "$as_me: error: cannot compute sizeof (long)
  1.1678 -See \`config.log' for more details." >&2;}
  1.1679 -   { (exit 77); exit 77; }; }
  1.1680 -   else
  1.1681 -     ac_cv_sizeof_long=0
  1.1682 -   fi
  1.1683 -fi
  1.1684 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  1.1685 -fi
  1.1686 -rm -f conftest.val
  1.1687 -fi
  1.1688 -{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
  1.1689 -echo "${ECHO_T}$ac_cv_sizeof_long" >&6; }
  1.1690 -
  1.1691 -
  1.1692 -
  1.1693 -cat >>confdefs.h <<_ACEOF
  1.1694 -#define SIZEOF_LONG $ac_cv_sizeof_long
  1.1695 -_ACEOF
  1.1696 -
  1.1697 -
  1.1698 -    { echo "$as_me:$LINENO: checking for long long" >&5
  1.1699 -echo $ECHO_N "checking for long long... $ECHO_C" >&6; }
  1.1700 -if test "${ac_cv_type_long_long+set}" = set; then
  1.1701 -  echo $ECHO_N "(cached) $ECHO_C" >&6
  1.1702 -else
  1.1703 -  cat >conftest.$ac_ext <<_ACEOF
  1.1704 -/* confdefs.h.  */
  1.1705 -_ACEOF
  1.1706 -cat confdefs.h >>conftest.$ac_ext
  1.1707 -cat >>conftest.$ac_ext <<_ACEOF
  1.1708 -/* end confdefs.h.  */
  1.1709 -$ac_includes_default
  1.1710 -typedef long long ac__type_new_;
  1.1711 -int
  1.1712 -main ()
  1.1713 -{
  1.1714 -if ((ac__type_new_ *) 0)
  1.1715 -  return 0;
  1.1716 -if (sizeof (ac__type_new_))
  1.1717 -  return 0;
  1.1718 -  ;
  1.1719 -  return 0;
  1.1720 -}
  1.1721 -_ACEOF
  1.1722 -rm -f conftest.$ac_objext
  1.1723 -if { (ac_try="$ac_compile"
  1.1724 -case "(($ac_try" in
  1.1725 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1726 -  *) ac_try_echo=$ac_try;;
  1.1727 -esac
  1.1728 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1729 -  (eval "$ac_compile") 2>conftest.er1
  1.1730 -  ac_status=$?
  1.1731 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1732 -  rm -f conftest.er1
  1.1733 -  cat conftest.err >&5
  1.1734 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1735 -  (exit $ac_status); } && {
  1.1736 -	 test -z "$ac_c_werror_flag" ||
  1.1737 -	 test ! -s conftest.err
  1.1738 -       } && test -s conftest.$ac_objext; then
  1.1739 -  ac_cv_type_long_long=yes
  1.1740 -else
  1.1741 -  echo "$as_me: failed program was:" >&5
  1.1742 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1743 -
  1.1744 -	ac_cv_type_long_long=no
  1.1745 -fi
  1.1746 -
  1.1747 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1748 -fi
  1.1749 -{ echo "$as_me:$LINENO: result: $ac_cv_type_long_long" >&5
  1.1750 -echo "${ECHO_T}$ac_cv_type_long_long" >&6; }
  1.1751 -
  1.1752 -# The cast to long int works around a bug in the HP C Compiler
  1.1753 -# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
  1.1754 -# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
  1.1755 -# This bug is HP SR number 8606223364.
  1.1756 -{ echo "$as_me:$LINENO: checking size of long long" >&5
  1.1757 -echo $ECHO_N "checking size of long long... $ECHO_C" >&6; }
  1.1758 -if test "${ac_cv_sizeof_long_long+set}" = set; then
  1.1759 -  echo $ECHO_N "(cached) $ECHO_C" >&6
  1.1760 -else
  1.1761 -  if test "$cross_compiling" = yes; then
  1.1762 -  # Depending upon the size, compute the lo and hi bounds.
  1.1763 -cat >conftest.$ac_ext <<_ACEOF
  1.1764 -/* confdefs.h.  */
  1.1765 -_ACEOF
  1.1766 -cat confdefs.h >>conftest.$ac_ext
  1.1767 -cat >>conftest.$ac_ext <<_ACEOF
  1.1768 -/* end confdefs.h.  */
  1.1769 -$ac_includes_default
  1.1770 -   typedef long long ac__type_sizeof_;
  1.1771 -int
  1.1772 -main ()
  1.1773 -{
  1.1774 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
  1.1775 -test_array [0] = 0
  1.1776 -
  1.1777 -  ;
  1.1778 -  return 0;
  1.1779 -}
  1.1780 -_ACEOF
  1.1781 -rm -f conftest.$ac_objext
  1.1782 -if { (ac_try="$ac_compile"
  1.1783 -case "(($ac_try" in
  1.1784 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1785 -  *) ac_try_echo=$ac_try;;
  1.1786 -esac
  1.1787 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1788 -  (eval "$ac_compile") 2>conftest.er1
  1.1789 -  ac_status=$?
  1.1790 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1791 -  rm -f conftest.er1
  1.1792 -  cat conftest.err >&5
  1.1793 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1794 -  (exit $ac_status); } && {
  1.1795 -	 test -z "$ac_c_werror_flag" ||
  1.1796 -	 test ! -s conftest.err
  1.1797 -       } && test -s conftest.$ac_objext; then
  1.1798 -  ac_lo=0 ac_mid=0
  1.1799 -  while :; do
  1.1800 -    cat >conftest.$ac_ext <<_ACEOF
  1.1801 -/* confdefs.h.  */
  1.1802 -_ACEOF
  1.1803 -cat confdefs.h >>conftest.$ac_ext
  1.1804 -cat >>conftest.$ac_ext <<_ACEOF
  1.1805 -/* end confdefs.h.  */
  1.1806 -$ac_includes_default
  1.1807 -   typedef long long ac__type_sizeof_;
  1.1808 -int
  1.1809 -main ()
  1.1810 -{
  1.1811 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
  1.1812 -test_array [0] = 0
  1.1813 -
  1.1814 -  ;
  1.1815 -  return 0;
  1.1816 -}
  1.1817 -_ACEOF
  1.1818 -rm -f conftest.$ac_objext
  1.1819 -if { (ac_try="$ac_compile"
  1.1820 -case "(($ac_try" in
  1.1821 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1822 -  *) ac_try_echo=$ac_try;;
  1.1823 -esac
  1.1824 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1825 -  (eval "$ac_compile") 2>conftest.er1
  1.1826 -  ac_status=$?
  1.1827 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1828 -  rm -f conftest.er1
  1.1829 -  cat conftest.err >&5
  1.1830 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1831 -  (exit $ac_status); } && {
  1.1832 -	 test -z "$ac_c_werror_flag" ||
  1.1833 -	 test ! -s conftest.err
  1.1834 -       } && test -s conftest.$ac_objext; then
  1.1835 -  ac_hi=$ac_mid; break
  1.1836 -else
  1.1837 -  echo "$as_me: failed program was:" >&5
  1.1838 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1839 -
  1.1840 -	ac_lo=`expr $ac_mid + 1`
  1.1841 -			if test $ac_lo -le $ac_mid; then
  1.1842 -			  ac_lo= ac_hi=
  1.1843 -			  break
  1.1844 -			fi
  1.1845 -			ac_mid=`expr 2 '*' $ac_mid + 1`
  1.1846 -fi
  1.1847 -
  1.1848 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1849 -  done
  1.1850 -else
  1.1851 -  echo "$as_me: failed program was:" >&5
  1.1852 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1853 -
  1.1854 -	cat >conftest.$ac_ext <<_ACEOF
  1.1855 -/* confdefs.h.  */
  1.1856 -_ACEOF
  1.1857 -cat confdefs.h >>conftest.$ac_ext
  1.1858 -cat >>conftest.$ac_ext <<_ACEOF
  1.1859 -/* end confdefs.h.  */
  1.1860 -$ac_includes_default
  1.1861 -   typedef long long ac__type_sizeof_;
  1.1862 -int
  1.1863 -main ()
  1.1864 -{
  1.1865 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
  1.1866 -test_array [0] = 0
  1.1867 -
  1.1868 -  ;
  1.1869 -  return 0;
  1.1870 -}
  1.1871 -_ACEOF
  1.1872 -rm -f conftest.$ac_objext
  1.1873 -if { (ac_try="$ac_compile"
  1.1874 -case "(($ac_try" in
  1.1875 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1876 -  *) ac_try_echo=$ac_try;;
  1.1877 -esac
  1.1878 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1879 -  (eval "$ac_compile") 2>conftest.er1
  1.1880 -  ac_status=$?
  1.1881 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1882 -  rm -f conftest.er1
  1.1883 -  cat conftest.err >&5
  1.1884 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1885 -  (exit $ac_status); } && {
  1.1886 -	 test -z "$ac_c_werror_flag" ||
  1.1887 -	 test ! -s conftest.err
  1.1888 -       } && test -s conftest.$ac_objext; then
  1.1889 -  ac_hi=-1 ac_mid=-1
  1.1890 -  while :; do
  1.1891 -    cat >conftest.$ac_ext <<_ACEOF
  1.1892 -/* confdefs.h.  */
  1.1893 -_ACEOF
  1.1894 -cat confdefs.h >>conftest.$ac_ext
  1.1895 -cat >>conftest.$ac_ext <<_ACEOF
  1.1896 -/* end confdefs.h.  */
  1.1897 -$ac_includes_default
  1.1898 -   typedef long long ac__type_sizeof_;
  1.1899 -int
  1.1900 -main ()
  1.1901 -{
  1.1902 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
  1.1903 -test_array [0] = 0
  1.1904 -
  1.1905 -  ;
  1.1906 -  return 0;
  1.1907 -}
  1.1908 -_ACEOF
  1.1909 -rm -f conftest.$ac_objext
  1.1910 -if { (ac_try="$ac_compile"
  1.1911 -case "(($ac_try" in
  1.1912 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1913 -  *) ac_try_echo=$ac_try;;
  1.1914 -esac
  1.1915 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1916 -  (eval "$ac_compile") 2>conftest.er1
  1.1917 -  ac_status=$?
  1.1918 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1919 -  rm -f conftest.er1
  1.1920 -  cat conftest.err >&5
  1.1921 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1922 -  (exit $ac_status); } && {
  1.1923 -	 test -z "$ac_c_werror_flag" ||
  1.1924 -	 test ! -s conftest.err
  1.1925 -       } && test -s conftest.$ac_objext; then
  1.1926 -  ac_lo=$ac_mid; break
  1.1927 -else
  1.1928 -  echo "$as_me: failed program was:" >&5
  1.1929 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1930 -
  1.1931 -	ac_hi=`expr '(' $ac_mid ')' - 1`
  1.1932 -			if test $ac_mid -le $ac_hi; then
  1.1933 -			  ac_lo= ac_hi=
  1.1934 -			  break
  1.1935 -			fi
  1.1936 -			ac_mid=`expr 2 '*' $ac_mid`
  1.1937 -fi
  1.1938 -
  1.1939 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1940 -  done
  1.1941 -else
  1.1942 -  echo "$as_me: failed program was:" >&5
  1.1943 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1944 -
  1.1945 -	ac_lo= ac_hi=
  1.1946 -fi
  1.1947 -
  1.1948 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1949 -fi
  1.1950 -
  1.1951 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1952 -# Binary search between lo and hi bounds.
  1.1953 -while test "x$ac_lo" != "x$ac_hi"; do
  1.1954 -  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
  1.1955 -  cat >conftest.$ac_ext <<_ACEOF
  1.1956 -/* confdefs.h.  */
  1.1957 -_ACEOF
  1.1958 -cat confdefs.h >>conftest.$ac_ext
  1.1959 -cat >>conftest.$ac_ext <<_ACEOF
  1.1960 -/* end confdefs.h.  */
  1.1961 -$ac_includes_default
  1.1962 -   typedef long long ac__type_sizeof_;
  1.1963 -int
  1.1964 -main ()
  1.1965 -{
  1.1966 -static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
  1.1967 -test_array [0] = 0
  1.1968 -
  1.1969 -  ;
  1.1970 -  return 0;
  1.1971 -}
  1.1972 -_ACEOF
  1.1973 -rm -f conftest.$ac_objext
  1.1974 -if { (ac_try="$ac_compile"
  1.1975 -case "(($ac_try" in
  1.1976 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1977 -  *) ac_try_echo=$ac_try;;
  1.1978 -esac
  1.1979 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1980 -  (eval "$ac_compile") 2>conftest.er1
  1.1981 -  ac_status=$?
  1.1982 -  grep -v '^ *+' conftest.er1 >conftest.err
  1.1983 -  rm -f conftest.er1
  1.1984 -  cat conftest.err >&5
  1.1985 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1986 -  (exit $ac_status); } && {
  1.1987 -	 test -z "$ac_c_werror_flag" ||
  1.1988 -	 test ! -s conftest.err
  1.1989 -       } && test -s conftest.$ac_objext; then
  1.1990 -  ac_hi=$ac_mid
  1.1991 -else
  1.1992 -  echo "$as_me: failed program was:" >&5
  1.1993 -sed 's/^/| /' conftest.$ac_ext >&5
  1.1994 -
  1.1995 -	ac_lo=`expr '(' $ac_mid ')' + 1`
  1.1996 -fi
  1.1997 -
  1.1998 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1999 -done
  1.2000 -case $ac_lo in
  1.2001 -?*) ac_cv_sizeof_long_long=$ac_lo;;
  1.2002 -'') if test "$ac_cv_type_long_long" = yes; then
  1.2003 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (long long)
  1.2004 -See \`config.log' for more details." >&5
  1.2005 -echo "$as_me: error: cannot compute sizeof (long long)
  1.2006 -See \`config.log' for more details." >&2;}
  1.2007 -   { (exit 77); exit 77; }; }
  1.2008 -   else
  1.2009 -     ac_cv_sizeof_long_long=0
  1.2010 -   fi ;;
  1.2011 -esac
  1.2012 -else
  1.2013 -  cat >conftest.$ac_ext <<_ACEOF
  1.2014 -/* confdefs.h.  */
  1.2015 -_ACEOF
  1.2016 -cat confdefs.h >>conftest.$ac_ext
  1.2017 -cat >>conftest.$ac_ext <<_ACEOF
  1.2018 -/* end confdefs.h.  */
  1.2019 -$ac_includes_default
  1.2020 -   typedef long long ac__type_sizeof_;
  1.2021 -static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
  1.2022 -static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
  1.2023 -#include <stdio.h>
  1.2024 -#include <stdlib.h>
  1.2025 -int
  1.2026 -main ()
  1.2027 -{
  1.2028 -
  1.2029 -  FILE *f = fopen ("conftest.val", "w");
  1.2030 -  if (! f)
  1.2031 -    return 1;
  1.2032 -  if (((long int) (sizeof (ac__type_sizeof_))) < 0)
  1.2033 -    {
  1.2034 -      long int i = longval ();
  1.2035 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
  1.2036 -	return 1;
  1.2037 -      fprintf (f, "%ld\n", i);
  1.2038 -    }
  1.2039 -  else
  1.2040 -    {
  1.2041 -      unsigned long int i = ulongval ();
  1.2042 -      if (i != ((long int) (sizeof (ac__type_sizeof_))))
  1.2043 -	return 1;
  1.2044 -      fprintf (f, "%lu\n", i);
  1.2045 -    }
  1.2046 -  return ferror (f) || fclose (f) != 0;
  1.2047 -
  1.2048 -  ;
  1.2049 -  return 0;
  1.2050 -}
  1.2051 -_ACEOF
  1.2052 -rm -f conftest$ac_exeext
  1.2053 -if { (ac_try="$ac_link"
  1.2054 -case "(($ac_try" in
  1.2055 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.2056 -  *) ac_try_echo=$ac_try;;
  1.2057 -esac
  1.2058 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.2059 -  (eval "$ac_link") 2>&5
  1.2060 -  ac_status=$?
  1.2061 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.2062 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  1.2063 -  { (case "(($ac_try" in
  1.2064 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.2065 -  *) ac_try_echo=$ac_try;;
  1.2066 -esac
  1.2067 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.2068 -  (eval "$ac_try") 2>&5
  1.2069 -  ac_status=$?
  1.2070 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.2071 -  (exit $ac_status); }; }; then
  1.2072 -  ac_cv_sizeof_long_long=`cat conftest.val`
  1.2073 -else
  1.2074 -  echo "$as_me: program exited with status $ac_status" >&5
  1.2075 -echo "$as_me: failed program was:" >&5
  1.2076 -sed 's/^/| /' conftest.$ac_ext >&5
  1.2077 -
  1.2078 -( exit $ac_status )
  1.2079 -if test "$ac_cv_type_long_long" = yes; then
  1.2080 -     { { echo "$as_me:$LINENO: error: cannot compute sizeof (long long)
  1.2081 -See \`config.log' for more details." >&5
  1.2082 -echo "$as_me: error: cannot compute sizeof (long long)
  1.2083 -See \`config.log' for more details." >&2;}
  1.2084 -   { (exit 77); exit 77; }; }
  1.2085 -   else
  1.2086 -     ac_cv_sizeof_long_long=0
  1.2087 -   fi
  1.2088 -fi
  1.2089 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  1.2090 -fi
  1.2091 -rm -f conftest.val
  1.2092 -fi
  1.2093 -{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_long" >&5
  1.2094 -echo "${ECHO_T}$ac_cv_sizeof_long_long" >&6; }
  1.2095 -
  1.2096 -
  1.2097 -
  1.2098 -cat >>confdefs.h <<_ACEOF
  1.2099 -#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
  1.2100 -_ACEOF
  1.2101 -
  1.2102 -
  1.2103 -    if test x$ac_cv_sizeof_char = x1; then
  1.2104 -        cat >>confdefs.h <<\_ACEOF
  1.2105 -#define int8_t signed char
  1.2106 -_ACEOF
  1.2107 -
  1.2108 -        cat >>confdefs.h <<\_ACEOF
  1.2109 -#define uint8_t unsigned char
  1.2110 -_ACEOF
  1.2111 -
  1.2112 -    fi
  1.2113 -    if test x$ac_cv_sizeof_short = x2; then
  1.2114 -        cat >>confdefs.h <<\_ACEOF
  1.2115 -#define int16_t signed short
  1.2116 -_ACEOF
  1.2117 -
  1.2118 -        cat >>confdefs.h <<\_ACEOF
  1.2119 -#define uint16_t unsigned short
  1.2120 -_ACEOF
  1.2121 -
  1.2122 -    else
  1.2123 -        if test x$ac_cv_sizeof_int = x2; then
  1.2124 -            cat >>confdefs.h <<\_ACEOF
  1.2125 -#define int16_t signed int
  1.2126 -_ACEOF
  1.2127 -
  1.2128 -            cat >>confdefs.h <<\_ACEOF
  1.2129 -#define uint16_t unsigned int
  1.2130 -_ACEOF
  1.2131 -
  1.2132 -        fi
  1.2133 -    fi
  1.2134 -    if test x$ac_cv_sizeof_int = x4; then
  1.2135 -        cat >>confdefs.h <<\_ACEOF
  1.2136 -#define int32_t signed int
  1.2137 -_ACEOF
  1.2138 -
  1.2139 -        cat >>confdefs.h <<\_ACEOF
  1.2140 -#define uint32_t unsigned int
  1.2141 -_ACEOF
  1.2142 -
  1.2143 -    else
  1.2144 -        if test x$ac_cv_sizeof_long = x4; then
  1.2145 -            cat >>confdefs.h <<\_ACEOF
  1.2146 -#define int32_t signed long
  1.2147 -_ACEOF
  1.2148 -
  1.2149 -            cat >>confdefs.h <<\_ACEOF
  1.2150 -#define uint32_t unsigned long
  1.2151 -_ACEOF
  1.2152 -
  1.2153 -        fi
  1.2154 -    fi
  1.2155 -    if test x$ac_cv_sizeof_long = x8; then
  1.2156 -        cat >>confdefs.h <<\_ACEOF
  1.2157 -#define int64_t signed long
  1.2158 -_ACEOF
  1.2159 -
  1.2160 -        cat >>confdefs.h <<\_ACEOF
  1.2161 -#define uint64_t unsigned long
  1.2162 -_ACEOF
  1.2163 -
  1.2164 -        cat >>confdefs.h <<\_ACEOF
  1.2165 -#define SDL_HAS_64BIT_TYPE 1
  1.2166 -_ACEOF
  1.2167 -
  1.2168 -    else
  1.2169 -        if test x$ac_cv_sizeof_long_long = x8; then
  1.2170 -            cat >>confdefs.h <<\_ACEOF
  1.2171 -#define int64_t signed long long
  1.2172 -_ACEOF
  1.2173 -
  1.2174 -            cat >>confdefs.h <<\_ACEOF
  1.2175 -#define uint64_t unsigned long long
  1.2176 -_ACEOF
  1.2177 -
  1.2178 -            cat >>confdefs.h <<\_ACEOF
  1.2179 -#define SDL_HAS_64BIT_TYPE 1
  1.2180 -_ACEOF
  1.2181 -
  1.2182 -        fi
  1.2183 -    fi
  1.2184 -    cat >>confdefs.h <<\_ACEOF
  1.2185 -#define size_t unsigned int
  1.2186 -_ACEOF
  1.2187 -
  1.2188 -    cat >>confdefs.h <<\_ACEOF
  1.2189 -#define uintptr_t unsigned long
  1.2190 -_ACEOF
  1.2191 -
  1.2192 -fi
  1.2193  
  1.2194  # Check whether --enable-gcc-atomics was given.
  1.2195  if test "${enable_gcc_atomics+set}" = set; then